<?php

namespace Litecms\Offer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OfferTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Offer\Models\Offer $offer)
    {
        return [
            'id'                => $offer->getRouteKey(),
            'key'               => [
                'public'    => $offer->getPublicKey(),
                'route'     => $offer->getRouteKey(),
            ], 
            'id'                => $offer->id,
            'title'             => $offer->title,
            'status'            => $offer->status,
            'slug'              => $offer->slug,
            'image'             => $offer->image,
            'pdf'               => $offer->pdf,
            'description'       => $offer->description,
            'user_type'         => $offer->user_type,
            'user_id'           => $offer->user_id,
            'created_at'        => $offer->created_at,
            'updated_at'        => $offer->updated_at,
            'deleted_at'        => $offer->deleted_at,
            'url'               => [
                'public'    => trans_url('offer/'.$offer->getPublicKey()),
                'user'      => guard_url('offer/offer/'.$offer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$offer->status),
            'created_at'        => format_date($offer->created_at),
            'updated_at'        => format_date($offer->updated_at),
        ];
    }
}